View Issue Details

IDProjectCategoryView StatusLast Update
0013525ScribusStory Editor / Text Framespublic2019-12-08 21:24
ReporterAlmaTlust Assigned Tojghali  
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
PlatformLinuxOSKubuntuOS Version15.10
Product Version1.5.0 
Target Version1.5.4Fixed in Version1.5.6.svn 
Summary0013525: Content in SE jumps upward when switching between windows
DescriptionWhen switching to another window (e.g. a browser to look up some date) and then switching back and clicking into story editor, all the text jumps down a little, which is confusing and error-prone.
TagsNo tags attached.
PatchNo

Relationships

related to 0011721 confirmed SE defaults when switching away and back to Scribus  
related to 0013934 confirmed Alt+Tab away and back to SE will reset font back to default 
has duplicate 0014162 closedjghali Story editor always scrolls back to the beginning upon refocusing (alt-tabbing to) it 
related to 0015900 closedjghali Story Editor jumps to top every time a style is changed 

Activities

Kunda

2015-11-11 21:23

manager   ~0037437

can you show the issue, perhaps a screencast? so we can reproduce

AlmaTlust

2015-11-12 08:23

reporter  

Screencast.mkv (1,139,955 bytes)

AlmaTlust

2015-11-12 08:25

reporter   ~0037442

The issue seems to be like this: Story editor tries to jump to the beginning of the text, but is limited by the cursor position in the text, so the line where the cursor is is moved to the lower end of the screen.

This problem does no occur if you are at the beginning of the text (i.e. you haven't scrolled down yet).

AlmaTlust

2015-11-12 08:35

reporter   ~0037443

Btw, it's the same in 1.5.1svn

Kunda

2015-11-13 02:02

manager   ~0037456

Last edited: 2016-02-09 14:13

View 2 revisions

Confirmed on MacOS 10.10.5 1.5.1svn r20551

Reproduce:
1) Open an textbox and add 10 paragraphs of Lorem Ipsum
2) Open SE scroll down and highlight some text
3) alt+tab to another application
4) alt+tab back to Scribus
Result: SE focus has changed (sentence has moved) + highlight of the text disappears (separate bug 0011721)

Kunda

2016-04-09 05:11

manager   ~0039937

Added screencast

Kunda

2016-04-09 05:13

manager  

SE-content-jump.gif (660,867 bytes)
SE-content-jump.gif (660,867 bytes)

Kunda

2016-04-09 05:13

manager   ~0039938

Related: 0011721 & 0013934

C.Rogers

2019-11-02 13:21

reporter   ~0046922

This bug persists in 1.5.6svn
I'm offering a personalised avatar illustration to anyone who can fix this, as It's causing me a lot of pain. :)

Thanks for your work!

jghali

2019-11-13 01:44

administrator   ~0047054

This issue appears to have been fixed at the same time as issue 0015900.

Issue History

Date Modified Username Field Change
2015-11-11 16:07 AlmaTlust New Issue
2015-11-11 21:23 Kunda Note Added: 0037437
2015-11-12 08:23 AlmaTlust File Added: Screencast.mkv
2015-11-12 08:25 AlmaTlust Note Added: 0037442
2015-11-12 08:35 AlmaTlust Note Added: 0037443
2015-11-13 02:02 Kunda Note Added: 0037456
2016-01-13 02:10 Kunda Relationship added related to 0011721
2016-01-13 04:15 Kunda Status new => confirmed
2016-02-09 14:13 Kunda Note Edited: 0037456 View Revisions
2016-04-09 05:11 Kunda Note Added: 0039937
2016-04-09 05:11 Kunda Summary Story Editor jumps upward when switching between windows => Content in SE jumps upward when switching between windows
2016-04-09 05:11 Kunda File Added: SE-content-jump.gif
2016-04-09 05:12 Kunda File Deleted: SE-content-jump.gif
2016-04-09 05:13 Kunda File Added: SE-content-jump.gif
2016-04-09 05:13 Kunda Relationship added related to 0013934
2016-04-09 05:13 Kunda Note Added: 0039938
2016-04-09 05:26 Kunda Target Version => 1.5.3
2016-06-18 17:26 jghali Relationship added has duplicate 0014162
2016-12-08 22:04 Kunda Target Version 1.5.3 => 1.5.4
2019-11-02 13:21 C.Rogers Note Added: 0046922
2019-11-02 14:43 PeterBenedek Relationship added has duplicate 0015900
2019-11-03 00:18 jghali Relationship deleted has duplicate 0015900
2019-11-03 00:18 jghali Relationship added related to 0015900
2019-11-13 01:44 jghali Assigned To => jghali
2019-11-13 01:44 jghali Status confirmed => resolved
2019-11-13 01:44 jghali Resolution open => fixed
2019-11-13 01:44 jghali Fixed in Version => 1.5.6.svn
2019-11-13 01:44 jghali Note Added: 0047054
2019-12-08 21:24 cbradney Status resolved => closed